import { Test, TestingModule } from '@nestjs/testing';
import { RaceModule } from './RaceModule';
import { RaceController } from './RaceController';
import { RaceService } from './RaceService';

describe('RaceModule', () => {
  let module: TestingModule;

  beforeEach(async () => {
    module = await Test.createTestingModule({
      imports: [RaceModule],
    }).compile();
  });

  it('should compile the module', async () => {
    expect(module).toBeDefined();
  });

  it('should have RaceController', () => {
    const controller = module.get<RaceController>(RaceController);
    expect(controller).toBeDefined();
  });

  it('should have RaceService', () => {
    const service = module.get<RaceService>(RaceService);
    expect(service).toBeDefined();
  });
});